Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.conversion.impl
Class DefaultConversionFileProcessor

    java.lang.Object
      com.opensymphony.xwork2.conversion.impl.DefaultConversionFileProcessor

All Implemented Interfaces:
  ConversionFileProcessor

    public class DefaultConversionFileProcessor

extends Object
implements ConversionFileProcessor

Default implementation of `ConversionFileProcessor`

Constructor Summary
`DefaultConversionFileProcessor()`

Method Summary
`void` | `process(Map<String,Object> mapping, Class clazz, String converterFilename)` Process conversion file to create mapping for key (property, type) and corresponding converter
`void` | `setFileManagerFactory(FileManagerFactory factory)`
`void` | `setTypeConverterCreator(TypeConverterCreator converterCreator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultConversionFileProcessor

    public DefaultConversionFileProcessor()

Method Detail

### setFileManagerFactory

    public void setFileManagerFactory(FileManagerFactory factory)

### setTypeConverterCreator

    public void setTypeConverterCreator(TypeConverterCreator converterCreator)

### process

    public void process(Map<String,Object> mapping,
                        Class clazz,
                        String converterFilename)

  Description copied from interface: `ConversionFileProcessor`
  Process conversion file to create mapping for key (property, type) and corresponding converter

  Specified by:
    `process` in interface `ConversionFileProcessor`
  Parameters:
    `mapping` - keeps converters per given key
    `clazz` - class which should be converted by the converter
    `converterFilename` - to read converters from

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.